#ifndef MOTORS
#define MOTORS

#include <SPI.h>

#define MOTOR_NORTH A1
#define MOTOR_SOUTH 2
#define MOTOR_EAST  4
#define MOTOR_WEST  A3

enum motor_position {north, south, east, west};

class Motors {
  public:
    void MO_init();
    void MO_Set(int north, int south, int east, int west);
  private:
    static unsigned long previos_time;
    void pin_write(int motor, bool enable);
};

#endif
